> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add To Wishlist

> Add a product to the current user's wishlist.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/wishlist
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/wishlist:
    post:
      tags:
        - wishlist
      summary: Add To Wishlist
      description: Add a product to the current user's wishlist.
      operationId: add_to_wishlist_api_v1_wishlist_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WishlistAddBody'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_WishlistItemOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WishlistAddBody:
      properties:
        product_id:
          type: string
          title: Product Id
      type: object
      required:
        - product_id
      title: WishlistAddBody
    ApiResponse_WishlistItemOut_:
      properties:
        data:
          anyOf:
            - $ref: >-
                #/components/schemas/app__modules__wishlist__schemas__WishlistItemOut
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[WishlistItemOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__modules__wishlist__schemas__WishlistItemOut:
      properties:
        id:
          type: string
          title: Id
        product_id:
          type: string
          title: Product Id
        product_name:
          type: string
          title: Product Name
        product_slug:
          type: string
          title: Product Slug
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        primary_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Image Url
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - product_id
        - product_name
        - product_slug
        - price
        - primary_image_url
        - created_at
      title: WishlistItemOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````